# gsa

## Game Skunk Advance
Game development library modelled after an imaginary console

### Specs
- Resolution: 304x176 (19x11 tiles)
- Colors: 256 (indexed out of a possible 24-bit)
- Tilesize: 16x16 (or 8x8 for half-tiles)
- Tileset: 65536 tiles, indexed via 0xYYXX
- Sprites: 256 of size 16x16 (pondering allowing larger sprites)
- Tilemaps: 4 of size 1024x1024, scrollable

### Features not yet implemented
- Tilemap effects
  - Rotation? Scaling?
  - Mosaic?
  - Mode7?
- Sprite Effects
  - Rotation? Scaling?
  - Mosaic?
- Sound (no samples)
  - Synth
  - Speech
- Savegames
- Helpers
  - Gamepad text keyboard input
  - Menus

License: 0BSD
